import {debugLogger as log} from '../logger/log';

/**
 * Function receives click events and checks if the link should be opened in the inappbrowser.
 * @param event
 * @param link
 */
function handleInappBrowserClick(event, link){
    log.debug("handleInappBrowserClick - check if link should be opened in inappbrowser");
	log.debug(event);
    log.debug(linkToBeOpened);

    var linksToBeOpenedInInappBrowser = ["extranet.dpd.de", "dhl", "cyberport.de/blog/"];
    var linkToBeOpened = link;
    for(var i = 0; i<linksToBeOpenedInInappBrowser.length;i++){
        var element = linksToBeOpenedInInappBrowser[i];
        log.debug("handleInappBrowserClick compare1: "+element);
        log.debug("handleInappBrowserClick compare2: "+linkToBeOpened);
        if(linkToBeOpened.indexOf(element)>-1){
            log.debug("click event.preventDefault for: "+element);
            event.preventDefault();
            linkToBeOpened = linkToBeOpened.replace("http://","https://");
            log.debug("match: "+linkToBeOpened);
            var ref = cordova.InAppBrowser.open(linkToBeOpened, '_blank', 'location=no,footer=yes');
            break;
        }
    }
}

export {handleInappBrowserClick};
